{#
/**
 * @file
 * Default theme implementation for the primary structure of a Drupal page.
 *
 * Variables:
 * - logged_in: A flag indicating the user's logged-in status.
 * - root_path: The root path of the current page (e.g., 'node', 'admin', 'user').
 * - node_type: The content type for the current node (if the page represents a node).
 * - head_title: An array of text elements that comprise the head_title variable.
 *   May contain any of the following:
 *   - title: The current page title.
 *   - name: The site name.
 *   - slogan: The site slogan.
 * - page_top: Initial rendered markup, displayed before 'page'.
 * - page: The primary page's rendered markup.
 * - page_bottom: Final rendered markup, displayed after 'page'.
 * - db_offline: A flag indicating if the database is offline.
 * - placeholder_token: The token for generating head, css, js, and js-bottom placeholders.
 *
 * @see template_preprocess_html()
 * @ingroup themeable
 */
#}
{# !! IMPORTANT: Ensure the doctype is the first element without any spaces in front of it. #}
<!DOCTYPE html>
{% block html_outer %}
  {%
    set body_classes = [
      root_path ? 'path-' ~ root_path|clean_class : 'path-frontpage',
      language ? 'language--' ~ language|clean_class,
    ]|merge(body_utility_classes|default([]))
  %}
  <html{{ html_attributes }}>
    <head>
      {% block head_start %}{{ head_start }}{% endblock %}
      <head-placeholder token="{{ placeholder_token }}">
      <title>{{ head_title|safe_join(' | ') }}</title>
      <css-placeholder token="{{ placeholder_token }}">
      <js-placeholder token="{{ placeholder_token }}">
      {% block responsive_favicon_metatags %}
        {#
          Important changes to the generated files from https://realfavicongenerator.net:
          - Edit the site.webmanifest file and remove the leading slash from the "src" paths.
          - Replace the leading slash in the metatags beyond with {{ favicon_folder_path }}.
        #}
        {% set favicon_folder_path = '/' ~ base_path ~ directory ~ '/build/assets/favicons/' %}
        <link rel="icon" type="image/png" href="{{ favicon_folder_path }}favicon-96x96.png" sizes="96x96" />
        <link rel="icon" type="image/svg+xml" href="{{ favicon_folder_path }}favicon.svg" />
        <link rel="shortcut icon" href="{{ favicon_folder_path }}favicon.ico" />
        <link rel="apple-touch-icon" sizes="180x180" href="{{ favicon_folder_path }}apple-touch-icon.png" />
        <meta name="apple-mobile-web-app-title" content="DROWL" />
        <link rel="manifest" href="{{ favicon_folder_path }}site.webmanifest" />
      {% endblock responsive_favicon_metatags %}
      {% block head_end %}{{ head_end }}{% endblock %}
    </head>
    <body{{ attributes.addClass(body_classes) }}>
      {% block body_start %}{{ body_start }}{% endblock %}
      {#
        This hyperlink facilitates keyboard navigation, allowing users to
        easily skip to the main content section defined in 'page.html.twig'.
      #}
      <a href="#main-content" class="visually-hidden focusable">
        {{ 'Skip to main content'|t }}
      </a>
      {{ page_top }}
      {{ page }}
      {{ page_bottom }}
      <js-bottom-placeholder token="{{ placeholder_token }}">
      {% block body_end %}{{ body_end }}{% endblock %}
    </body>
  </html>
{% endblock %}
